Page MenuHomePhabricator

Introduce a generic term "all" for show parameter
Open, Stalled, LowestPublic

Description

<maplink> and/or <mapframe>: Normally show parameter gets a comma-separated list of marker groups specifying which markers should be presented on a map. The group lists could be large. Therefore I propose an additional syntax with an all parameter:

  • show = "all" // presenting all markers named in an article
  • show = "all,-mask" // presenting all markers named in an article excluding the mask group
  • show = "all,nearby" // presenting all markers named in an article and markers for nearby articles (Wikimedia feature)

Even in case that "nearby" is not interpreted by maplink/mapframe directly it is used to activate an additional map layer.

This task was mentioned at Community-Wishlist-Survey-2017 (https://meta.wikimedia.org/wiki/2017_Community_Wishlist_Survey/Miscellaneous/Kartographer_improvements), which got the No.1 out of 214 proposals.

Event Timeline

Restricted Application added a project: Discovery. · View Herald TranscriptJul 12 2016, 1:09 PM
Restricted Application added a subscriber: Zppix. · View Herald Transcript
Yurik removed a project: Maps.Dec 15 2016, 4:40 AM
jmatazzoni triaged this task as Low priority.Feb 21 2018, 7:17 PM
jmatazzoni added a subscriber: jmatazzoni.

I've added this to the board but marked it "Low" priority, as per our discussion in the maps triage meeting.

jmatazzoni lowered the priority of this task from Low to Lowest.Feb 21 2018, 11:53 PM
jmatazzoni renamed this task from <maplink> and/or <mapframe>: introduction of a generic term "all" for show parameter to Introduce a generic term "all" for show parameter.Feb 27 2018, 10:28 PM
jmatazzoni updated the task description. (Show Details)

Change 426241 had a related patch set uploaded (by Mholloway; owner: Mholloway):
[mediawiki/extensions/Kartographer@master] Support show=all in maplink/mapframe

https://gerrit.wikimedia.org/r/426241

Change 427918 had a related patch set uploaded (by Mholloway; owner: Mholloway):
[mapdata@master] Support show=all in maplink/mapframe

https://gerrit.wikimedia.org/r/427918

Change 426241 abandoned by Mholloway:
Support show=all in maplink/mapframe

Reason:
see Ia673c5bb96f60c13ba7abaf17d4b4dc3d30dcee9

https://gerrit.wikimedia.org/r/426241

Change 427918 merged by jenkins-bot:
[mapdata@master] Support groups=all shorthand

https://gerrit.wikimedia.org/r/427918

Change 428994 had a related patch set uploaded (by Mholloway; owner: Mholloway):
[mediawiki/extensions/Kartographer@master] Update wikimedia-mapdata to 1b90575

https://gerrit.wikimedia.org/r/428994

Change 428994 merged by jenkins-bot:
[mediawiki/extensions/Kartographer@master] Update wikimedia-mapdata to 1b90575

https://gerrit.wikimedia.org/r/428994

@Etonkovidova Sorry, this doesn't appear to be quite there yet. Not working in my demo pages:
https://en.wikivoyage.org/wiki/User:MHolloway_(WMF)/Sandbox
https://en.wikivoyage.beta.wmflabs.org/w/index.php?title=User:Mdholloway

On beta, requesting the demo page above throws this error in Kartotherian:

{"name":"kartotherian","hostname":"deployment-maps03","pid":14,"level":50,"levelPath":"error","msg":"GroupId not available","time":"2018-05-11T19:20:13.826Z","v":0}

Change 436090 had a related patch set uploaded (by Mholloway; owner: Mholloway):
[mapdata@master] Support show=all shorthand, cont.

https://gerrit.wikimedia.org/r/436090

Change 436090 merged by jenkins-bot:
[mapdata@master] Support show=all shorthand, cont.

https://gerrit.wikimedia.org/r/436090

Change 436518 had a related patch set uploaded (by Mholloway; owner: Mholloway):
[mediawiki/extensions/Kartographer@master] Update wikimedia-mapdata to latest (0159e39)

https://gerrit.wikimedia.org/r/436518

Change 436518 merged by jenkins-bot:
[mediawiki/extensions/Kartographer@master] Update wikimedia-mapdata to latest (0159e39)

https://gerrit.wikimedia.org/r/436518

Mholloway changed the task status from Open to Stalled.Jun 25 2018, 3:25 PM

Sorry, @Etonkovidova, still not fixed. Now with the new stuff deployed I'm seeing a new error: "Cannot read property 'failed' of undefined".

I'm going to mark this as stalled because it's probably going to take a back seat to other, more pressing work for the foreseeable future.

Mholloway edited projects, added Maps (Maps-data); removed Maps.Jun 25 2018, 3:30 PM